NSX-T Data Center REST API

Get subnet realization failures for vpc (Experimental)

Retrieves only the resources with the reason not "SUCCESS". In case of failure or warning of the resource a reason object explaining the type of failure (ERROR, WARNING)
and the detailed message of what the user could do to remediate is captured.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/orgs/{org-id}/projects/{project-id}/vpcs/{vpc-id}/subnets/realization-failures
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/orgs/default/projects/project-1/vpcs/vpc-1/subnets/realization-failures

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
PolicyVpcSubnetAlarm+

Example Response:

{ "subnets": [ { "status": "FAILED", "path": "/orgs/default/projects/project_1/vpcs/vpc_1/subnets/subnet_1/status", "realization_id": "3d371765-e5e2-4a1d-aa95-7e38fefd1b36", "reason": { "type": "ERROR", "code": "101", "description": "Error description", "message": "Detailed message about the issue and remediation" } }, { "status": "SUCCESS", "path": "/orgs/default/projects/project_1/vpcs/vpc_1/subnets/subnet_2/status", "realization_id": "186472be-fa1c-4a04-add7-8da419672ada", "reason": { "type": "WARNING", "code": "102", "description": "warning description", "message": "Detailed message about the warning and remediation" } } ] }

Required Permissions:

read

Feature:

policy_vpc_subnet

Additional Errors: